RELAY_SWITCH_SUBBUF(9)

NAME
relay_switch_subbuf - switch to a new sub-buffer

SYNOPSIS

size_t relay_switch_subbuf(struct rchan_buf * buf, size_t length);

ARGUMENTS

buf
    channel buffer

length
    size of current event

DESCRIPTION

Returns either the length passed in or 0 if full.

Performs sub-buffer-switch tasks such as invoking callbacks, updating padding counts, waking up readers, etc.

COPYRIGHT